Bug 130093 - FILEOPEN: LWP: General input/output error
Summary: FILEOPEN: LWP: General input/output error
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
6.1 all versions
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.1 target:6.3.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: LWP
  Show dependency treegraph
 
Reported: 2020-01-20 18:15 UTC by Xisco Faulí
Modified: 2020-02-20 13:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-01-20 18:15:31 UTC
Steps to reproduce:
1. Open attachment 157140 [details] from bug 129993

-> General input/output error

Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: fc1f85127968d1c2e0a53dace51bf8a78f9e6ca5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-01-20 18:18:25 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=22fc8c634c5f9b09d45aff0403503f4d8226328d

author	Caolán McNamara <caolanm@redhat.com>	2018-02-12 14:01:20 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-02-12 21:36:39 +0100
commit	22fc8c634c5f9b09d45aff0403503f4d8226328d (patch)
tree	ccfa6bab78e329b76183db2ecd52b5a1696cef64
parent	10b6a2b2d6a5cb938ead02cba2fa03f748c5f63c (diff)
ofz#6208 Indirect-leak

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 2 Xisco Faulí 2020-01-20 18:34:09 UTC
attachment 88518 [details] from bug 71147 is also affected by the same problem
Comment 3 Commit Notification 2020-01-20 20:55:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0453eb32b9055fe27fcb7b9cef22c46d32e59196

Resolves: tdf#130093 some lwp file not loading

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-01-21 08:06:40 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: b92293b3943423324064a8513c2e114d18817179
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-01-21 08:08:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1411c9c598f1e42a7e96c55b60051394389cd45e

Resolves: tdf#130093 some lwp file not loading

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-01-21 10:14:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/b311337138316e7329ad82b770a818358f1d1e7a

Resolves: tdf#130093 some lwp file not loading

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.